%define anolis_release 4

Name:           perl-Devel-PPPort
Version:        3.68
Release:        %{anolis_release}%{?dist}
Summary:        Perl Pollution Portability header generator
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Devel-PPPort
Source0:        https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/Devel-PPPort-%{version}.tar.gz

BuildRequires:  gcc make coreutils findutils
BuildRequires:  perl(strict) perl(vars)
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.3 perl(Config) perl(ExtUtils::MakeMaker) >= 6.76
# Tests:
BuildRequires:  perl(DynaLoader) perl(File::Path) perl(FindBin) perl(less)
BuildRequires:  perl(lib) perl(Tie::Hash) perl(utf8) perl(warnings)

obsoletes:      %{name}-tests < %{version}-%{release}

%description
This package is a Perl module that provides a Perl API for parsing C header files and generating 
C code that makes Perl modules compatible with older versions of Perl. It is used to make sure 
that Perl modules are compatible with older versions of Perl and can be used by other developers 
who may not have the latest version of Perl installed.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description  doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Devel-PPPort-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel*
%{_mandir}/man3/*

%files doc
%doc HACKERS Changes soak README TODO

%changelog
* Tue Apr 11 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.68-4
- Optimize the spec file

* Tue Feb 07 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.68-3
- rebuild with perl_bootstrap disabled

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.68-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.68-1
- init from upstream
